import okayBrowse from './okay-browse'
import okayUpload from './okay-upload'
const components = [okayBrowse, okayUpload]

const install = function (Vue) {
  components.forEach((component) => {
    Vue.component(component.name, component)
  })
}

if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue)
}

export default {
  install,
  okayBrowse,
  okayUpload
}
