// const url = 'http://192.168.1.112:9999'
const url = 'http://okayx-gateway:9999'
// const url = 'http://192.168.1.115:9999' // 冼东妮ip
// const url = 'http://172.16.10.121:9999' // 小权ip
// const url = 'http://192.168.1.105:9999' // 孝文总ip
// const url = process.env.VUE_APP_LOCAL_PATH
// const url = 'https://open.okaygis.com'
// 基础路径 注意发布之前要先修改这里
// const BundleAnalyzerPlugin = require('webpack-bundle-analyzer').BundleAnalyzerPlugin
module.exports = {
  // publicPath: process.env.VUE_APP_PATH,
  publicPath: process.env.NODE_ENV === 'production' ? '/libui/' : '/libui/', // 基本路径
  lintOnSave: false,
  productionSourceMap: false,
  // configureWebpack: config => {
  //     if (process.env.NODE_ENV === 'production') {
  //         return {
  //             plugins: [
  //                 new BundleAnalyzerPlugin()
  //             ]
  //         }
  //     }
  // },
  chainWebpack: config => {
    const entry = config.entry('app')
    entry.add('babel-polyfill').end()
    entry.add('classlist-polyfill').end()
    // entry.add('@/mock').end()
  },
  css: {
    loaderOptions: {
      sass: {
        data: `@import "@/styles/avue-ui/color.scss";` // 提取通用变量颜色
      }
    }
    // extract: { ignoreOrder: true } //extract:true, 把style提取至独立的css文件，而不是动态注入javascipt,导致开发修改css无法热更新
  },
  // 配置转发代理
  devServer: {
    open: true,
    disableHostCheck: true,
    headers: {
      'Access-Control-Allow-Origin': '*'
    },
    port: 9530, // 服务开启的端口
    proxy: {
      // ^/(admin|auth|oss|act|actuator|api|daemon|job|gen|monitor|wx|mp|pay|code)
      '^/(admin|auth|oss|act|actuator|api|daemon|job|gen|monitor|wx|mp|pay|code|es|mhr|ihr|hb|dr|ich|communal)': {
        target: url,
        ws: false, // 需要websocket 开启
        pathRewrite: {
          '^/': '/'
        }
      },
      '/Cesium': {
        target: 'http://172.16.10.220:8089/Cesium',
        changeOrigin: true,
        ws: true,
        pathRewrite: {
          '^/Cesium': '/'
        }
      }
    }
  }
}
